Subject: Re: Introduction - An Outreachy 2020 Applicant

From: Jonathan Nieder <[email-masked]>
Date: Thu, 8 Oct 2020 18:43:19 -0700

Jonathan Nieder wrote:

> [email-masked]
> Hi Amanda,
>
> Amanda Shafack wrote:
>
>> I am Amanda Shafack, an Outreachy 2020 applicant who wishes to
>> contribute to the "Add Git protocol support to Wireshark" project.
>>
>> In addition, I have some experience coding in C and I hope to enhance
>> my skill set by contributing to this project.
>>
>> I am currently going through the project description and contribution
>> guidelines.
>
> Welcome!
>
> Since this project would involve Git (for Git protocol) and Wireshark
> (where the dissector goes), we're comfortable working with you on
> contributions to both Git and Wireshark during the application[1]
> period.
>
> https://gitlab.com/wireshark/wireshark/-/wikis/Development/ has some
> pointers on getting started with Wireshark development.  I'm cc-ing
> the wireshark developers list in case they have suggestions for an
> approachable "first patch" idea to get used to that project's
> contribution flow.

Ahem, actually cc-ing that list this time.  Sorry for the noise.

> It's also a good idea to build and run wireshark and see if anything
> strikes your eye as something you'd be interested in seeing work
> differently.
>
> For Git we have some suggestions for microprojects at
> https://git.github.io/Outreachy-21-Microprojects/
>
> Thanks for writing, and I look forward to working with you.  These are
> two open source projects that I love and I hope you enjoy working with
> them, too. :)

Sincerely,
Jonathan

> [1] https://www.outreachy.org/apply/